import request from '@/utils/request'


export function getVerify() {
  return request({
    url: '/sys/getVerify',
    method: 'get',
    responseType: 'blob'
  })
}
export function login(data) {
  return request({
    url: '/sys/user/login',
    method: 'post',
    data
  })
}

export function getInfo(token) {
  return request({
    url: '/sys/user',
    method: 'get',
    params: {
      token
    }
  })
}

export function logout() {
  return request({
    url: '/sys/user/logout',
    method: 'get'
  })
}

// 获取菜单权限
export function getMenu() {
  return request({
    url: '/sys/home',
    method: 'get'
  })
}

// 获取角色列表
export function getRoleList(data) {
  return request({
    url: '/sys/roles',
    method: 'post',
    data
  })
}


// 获取用户组织树
export function getDeptTree(params) {
  return request({
    url: 'sys/dept/tree',
    method: 'get',
    params
  })
}

// 获取用户列表
export function getUserList(data) {
  return request({
    url: 'sys/users',
    method: 'post',
    data
  })
}


// 增加用户
export function addUser(data) {
  return request({
    url: 'sys/user',
    method: 'post',
    data
  })
}

// 修改用户信息
export function upadateUser(data) {
  return request({
    url: 'sys/user',
    method: 'put',
    data
  })
}

// 删除用户
export function deleteUser(data) {
  return request({
    url: '/sys/user',
    method: 'delete',
    data
  })
}


// 以用户行为统计排序分页查询资源
export function getListByPageSort(data) {
  return request({
    url: '/bizOptSort/mapListByPageSort',
    method: 'post',
    data
  })
}

// 以用户行为统计排序分页查询资源
export function getBarMap(params) {
  return request({
    url: '/bizOptSort/getBarMap',
    method: 'get',
    params
  })
}

// 增加角色
export function addRole(data) {
  return request({
    url: '/sys/role',
    method: 'post',
    data
  })
}
// 修改角色
export function upadateRole(data) {
  return request({
    url: 'sys/role',
    method: 'put',
    data
  })
}

// 删除角色
export function deleteRole(id) {
  return request({
    url: '/sys/role/'+id,
    method: 'delete',
  })
}

// 获取所有目录菜单树
export function getPermissionTreeAll(params) {
  return request({
    url: '/sys/permission/tree/all',
    method: 'get',
    params
  })
}

export function getPermissionById(id) {
  return request({
    url: `/sys/permission/${id}`,
    method: 'get',
  })
}

